Subject: Re: G77 fork problems
From: [email-masked] (Suhaib M. Siddiqi)

20 Jan 1999 10:46:26 -0800
Message-ID: <001701be4422$83d00ee0$84cd78cf.cygnus.gnu-win32@hunda>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Mumit Khan" <[email-masked]>, "Dave Love" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>

Thanks to Mumit and Dave for explaining G77 fork issue.

I compiled the code with EGCS-1.1.1 on RedHat LINUX 5.2 and Cygnus B-20,
using G77.
The code compiled as it is on LINUX and NT box with G77.  It is a chemistry
software, using exactly same protein and same calculation criteria, I get
different results on LINUX and CYGNUS.

ON LINUX the Final Result was:

Extreme values found : 20.000  -4.200

AND on NT using same version of G77 and same calulcation criteria, the final
result was:

Extreme values found : 20.000  0.000

Dear Mumit;  do you have any explaination for this behavior?  I am using
your precompiled EGCS-1.1.1 for Cygnus-B-20.  As a note same G77fork wraper
was used, as suggested by Mumit on SGI, Linux and Cygnus.  In otherword the
source code was identical on SGI, LINUX and Windows NT.

I know the result form NT machine is wrong.

Are there major differences between G77 on NT and LINUX?  If so, how one can
circumvent the problem?

  G77 on SGI IRIX 6.5 gave same results as LINUX.

Regards
Suhaib Siddiq

-----Original Message-----
From: Dave Love <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: [email-masked] <[email-masked]>; [email-masked]
<[email-masked]>; [email-masked] <[email-masked]>
Date: Tuesday, January 19, 1999 9:15 PM
Subject: Re: G77 fork problems

>>>>>> "MK" == Mumit Khan <[email-masked]> writes:
>
> MK> Here's a start. Note that it's completely untested -- the
> MK> includes I've used (eg., unistd.h) may not even exist on your
> MK> system, pid_t may not be the same as g77 "integer" type, etc etc.
>
>If you want to do that I think you have at least to worry about the
>i/o state and it's not clear what good it is in the absence of a
>corresponding exec, for which there isn't an obvious implementation.
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".